Bug 1985 - patch to recognize arm arches properly
patch to recognize arm arches properly
Status: CLOSED CURRENTRELEASE
Product: Red Hat Raw Hide
Classification: Retired
Component: rpm (Show other bugs)
1.0
All Linux
high Severity medium
: ---
: ---
Assigned To: Jeff Johnson
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 1999-04-04 14:47 EDT by stewart
Modified: 2008-05-01 11:37 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 1999-04-04 16:11:58 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description stewart 1999-04-04 14:47:01 EDT
Patch to reconize armv4l properly for building new rpms.
Patch to configure.in (be here shortly).

Comments on the armv4b* and arm* portion, the main one I am
interested in (at present) is armv4l*

While you are at it, could you change the optflags for
armv4l in rpmrc.in to the following:
optflags: armv4l -O2 -fsigned-char -fomit-frame-pointer

There are only a couple of programs (glib,
ImageMagick) that have a problem with -O2 optimization, and
these problems still exists with only -O optimization on the
ARM.

Hope this is the right place...

------- Email Received From  Rod Stewart <stewart@nexus.carleton.ca> 04/04/99 14:50 -------
Comment 1 Jeff Johnson 1999-04-04 16:11:59 EDT
Done in rpm CVS. Thanks.

Note You need to log in before you can comment on or make changes to this bug.